aboutsummaryrefslogtreecommitdiffstats
path: root/extra/man/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-01 14:49:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-01 14:49:31 +0000
commit186aaa25fc72a12f8bfb9400e59895207c23cbd0 (patch)
tree18154887dd8e969f8bf51e67407a366762b0c72c /extra/man/APKBUILD
parentad56edd9c3866cd988a69669794f7e6cd7f1fc2f (diff)
downloadaports-186aaa25fc72a12f8bfb9400e59895207c23cbd0.tar.gz
aports-186aaa25fc72a12f8bfb9400e59895207c23cbd0.tar.bz2
aports-186aaa25fc72a12f8bfb9400e59895207c23cbd0.tar.xz
extra/man: new aport
A utility for reading man pages http://primates.ximian.com/~flucifredi/man/
Diffstat (limited to 'extra/man/APKBUILD')
-rw-r--r--extra/man/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/extra/man/APKBUILD b/extra/man/APKBUILD
new file mode 100644
index 0000000000..1363e3cbc3
--- /dev/null
+++ b/extra/man/APKBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=man
+pkgver=1.6f
+pkgrel=0
+pkgdesc="A utility for reading man pages"
+url="http://primates.ximian.com/~flucifredi/man/"
+license="GPL"
+depends="groff"
+subpackages="$pkgname-doc"
+source="http://primates.ximian.com/~flucifredi/$pkgname/$pkgname-$pkgver.tar.gz
+ whatis.periodic.daily
+ $pkgname-troff.patch"
+
+build () {
+ local i
+ cd "$srcdir/$pkgname-$pkgver"
+ for i in ../*.patch; do
+ msg "Applying $i"
+ patch -p1 -i $i || return 1
+ done
+
+ ./configure -confdir=/etc +sgid +fhs +lang none
+
+ make || return 1
+ make PREFIX="$pkgdir" install || return 1
+
+ sed -i "s|-Tlatin1||g" "$pkgdir"/etc/man.conf
+ install -D -m744 ../whatis.periodic.daily \
+ "$pkgdir"/etc/periodic/daily/whatis
+}
+md5sums="67aaaa6df35215e812fd7d89472c44b6 man-1.6f.tar.gz
+9cb02e4491777430a9ad3b503e87ec0d whatis.periodic.daily
+21541cb3073259f7fb9335675ca41b0e man-troff.patch"